Bug 5917 - Bump release from R5 to R6
: Bump release from R5 to R6
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-09 13:44 MSD by Andrey Bondrov
Modified: 2015-07-21 15:50 MSD (History)
3 users (show)

See Also:
RPM Package: branding-configs
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (2.73 MB, image/jpeg)
2015-07-09 19:52 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-07-09 13:44:30 MSD
We plan to release R6 so we need to adjust /etc/release and index.html.
Comment 1 Andrey Bondrov 2015-07-09 13:45:18 MSD
Advisory: "Adjust branding configs for R6 release"

https://abf.rosalinux.ru/build_lists/2519614
https://abf.rosalinux.ru/build_lists/2519615
Comment 2 Andrey Bondrov 2015-07-09 14:32:47 MSD
We also need to rebuild grub2. Please note that it should be installed after branding-config package is installed.

Advisory: "Rebuild grub2 to apply changes from branding configs"

https://abf.rosalinux.ru/build_lists/2519625
https://abf.rosalinux.ru/build_lists/2519626
Comment 3 Konstantin Vlasov 2015-07-09 15:54:55 MSD
Updated build lists for branding-configs:
https://abf.rosalinux.ru/build_lists/2519724
https://abf.rosalinux.ru/build_lists/2519725

Advisory: Adjust branding configs for R6 release, and force Grub2 menu updating after installation.

P.S. The grub2 update is not required and was rejected.
Comment 4 Vladimir Potapov 2015-07-09 19:52:36 MSD
Created attachment 4178 [details]
ss

Две системы. Главная (R5) и подчиненная, обновлена до R6
1) В главной, в меню светится R5 (в подчиненной уже R6)
2) В главной для R5 нет локализации (меню по-русски, а написано "for")
См скриншот
Comment 5 Vladimir Potapov 2015-07-09 19:56:51 MSD
+ в логе загрузке мелькает
Welcome to ROSA R5...
Comment 6 Vladimir Potapov 2015-07-09 20:01:29 MSD
(In reply to comment #4)
> Created attachment 4178 [details]
> ss
> 
> Две системы. Главная (R5) и подчиненная, обновлена до R6
> 1) В главной, в меню светится R5 (в подчиненной уже R6)
> 2) В главной для R5 нет локализации (меню по-русски, а написано "for")
> См скриншот

Думается, указание платформы в брендинге лишнее. R6 понятно какая платформа, на 2012 не бывает.
Потому, чтоб не локализовывать для всех, предлагаю нейтральное

ROSA Desktop Fresh R6 (x86_64)
Comment 7 Vladimir Potapov 2015-07-09 20:08:41 MSD
ну и предупреждения при обновлении прут

update-alternatives: warning: forcing reinstallation of alternative /usr/share/branding-configs/branding-system because link group branding-system is broken
update-alternatives: warning: not replacing /usr/share/doc/en_license.html with a link
update-alternatives: warning: not replacing /usr/share/doc/ru_license.html with a link
update-alternatives: warning: forcing reinstallation of alternative /usr/share/branding-configs/branding-system because link group branding-system is broken
cp: «/usr/share/branding-configs/fresh/lsb-release» и «/etc/lsb-release» - один и тот же файл
update-alternatives: warning: forcing reinstallation of alternative /usr/share/branding-configs/fresh/rosa-release because link group flavour-release is broken
Comment 8 Vladimir Potapov 2015-07-09 20:28:38 MSD
/etc/os-release

NAME="ROSA Desktop Fresh R5"
VERSION="EE 2014.1 Desktop"
ID=rosa
VERSION_ID=2014.1
PRETTY_NAME="ROSA Desktop Fresh R5 EE 2014.1 Desktop"
ANSI_COLOR="1;43"
CPE_NAME="cpe:/o:rosa:rosalinux:2014.1"
HOME_URL="http://www.rosalinux.com/"
BUG_REPORT_URL="https://bugs.rosalinux.com/"
Comment 9 Andrey Bondrov 2015-07-09 20:43:21 MSD
Advisory: "Adjust branding configs for R6 release, and force Grub2 menu updating after installation."

https://abf.rosalinux.ru/build_lists/2519868
https://abf.rosalinux.ru/build_lists/2519869
Comment 10 Vladimir Potapov 2015-07-09 21:18:53 MSD
все ж таки еще нужно перегенерять initrd чтоб в логах загрузки r6 было.
Для дисков сойдет, а вот для обновлений нужно бы.
Comment 11 Denis Silakov 2015-07-10 13:24:07 MSD
(In reply to comment #7)
> ну и предупреждения при обновлении прут
> 
> update-alternatives: warning: forcing reinstallation of alternative
> /usr/share/branding-configs/branding-system because link group
> branding-system is broken
> update-alternatives: warning: not replacing /usr/share/doc/en_license.html
> with a link
> update-alternatives: warning: not replacing /usr/share/doc/ru_license.html
> with a link
> update-alternatives: warning: forcing reinstallation of alternative
> /usr/share/branding-configs/branding-system because link group
> branding-system is broken
> cp: «/usr/share/branding-configs/fresh/lsb-release» и «/etc/lsb-release» -
> один и тот же файл
> update-alternatives: warning: forcing reinstallation of alternative
> /usr/share/branding-configs/fresh/rosa-release because link group
> flavour-release is broken

А это не очень хорошо. У тебя файл /etc/lsb-release вообщеесть после такого обновления?

Вызвано это вот этим изменением, из-за него обновление с предыдущей версии криво проходит:
https://abf.io/import/branding-configs/commit/11b9db1018880bc321eebc5820d3180b4030f627
Comment 12 Denis Silakov 2015-07-10 13:35:43 MSD
Лучше попробуй branding-configs отсюда:

https://abf.io/build_lists/2520033
https://abf.io/build_lists/2520034

Только надо тестить обновление с той версии, что сейчас в репозиториях. Обновление с предыдущих контейнеров пройдет успешно и даже вернет /etc/lsb-release, если он исчезал.
Comment 13 Vladimir Potapov 2015-07-10 17:16:05 MSD
The update is sent to expanded testing
Comment 14 Vladimir Potapov 2015-07-21 15:10:38 MSD
branding-configs-2.0-95
https://abf.io/build_lists/2520033
https://abf.io/build_lists/2520034
*************************** Advisory ***************************
Adjust branding configs for R6 release
****************************************************************
QA Verified